Skip to main content
GET
/
customer
/
accounts
/
deposit-locations
/
{account_id}
Get Client Deposit Locations Signed
curl --request GET \
  --url https://api.example.com/customer/accounts/deposit-locations/{account_id} \
  --header 'X-API-NONCE: <x-api-nonce>' \
  --header 'X-API-SIGNATURE: <x-api-signature>' \
  --header 'X-API-SUBSCRIPTION-KEY: <x-api-subscription-key>' \
  --header 'X-API-TIMESTAMP: <x-api-timestamp>'
import requests

url = "https://api.example.com/customer/accounts/deposit-locations/{account_id}"

headers = {
"X-API-SIGNATURE": "<x-api-signature>",
"X-API-TIMESTAMP": "<x-api-timestamp>",
"X-API-NONCE": "<x-api-nonce>",
"X-API-SUBSCRIPTION-KEY": "<x-api-subscription-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-API-SIGNATURE': '<x-api-signature>',
'X-API-TIMESTAMP': '<x-api-timestamp>',
'X-API-NONCE': '<x-api-nonce>',
'X-API-SUBSCRIPTION-KEY': '<x-api-subscription-key>'
}
};

fetch('https://api.example.com/customer/accounts/deposit-locations/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": [
    {
      "location_id": 123,
      "name": "<string>",
      "city_and_state": "London, CA",
      "balance": 1000
    }
  ],
  "as_of_date": "<string>",
  "pagination": {
    "limit": 123,
    "total": 123,
    "offset": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

X-API-SIGNATURE
string
required

Signature header

X-API-TIMESTAMP
integer
required

Timestamp header

X-API-NONCE
string
required

Nonce header

X-API-SUBSCRIPTION-KEY
string
required

Account ID header

source
string | null

Path Parameters

account_id
string
required

Query Parameters

page_number
integer | null

Page number for pagination

page_size
integer | null
default:100

Number of transactions per page

load_date
string<date> | null

Load date

Response

Successful Response

message
string
required
data
ClientDepositLocationsResponse · object[] | null
as_of_date
string | null

As of date for the data

pagination
Pagination · object | null

Represent the pagination structure.